<?php
/* AncoraThemes Popup support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tourimo_trx_popup_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tourimo_trx_popup_theme_setup9', 9 );
	function tourimo_trx_popup_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'tourimo_filter_tgmpa_required_plugins', 'tourimo_trx_popup_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tourimo_trx_popup_tgmpa_required_plugins' ) ) {
	
	function tourimo_trx_popup_tgmpa_required_plugins( $list = array() ) {
		if ( tourimo_storage_isset( 'required_plugins', 'trx_popup' ) && tourimo_storage_get_array( 'required_plugins', 'trx_popup', 'install' ) !== false && tourimo_is_theme_activated() ) {
			$path = tourimo_get_plugin_source_path( 'plugins/trx_popup/trx_popup.zip' );
			if ( ! empty( $path ) || tourimo_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => tourimo_storage_get_array( 'required_plugins', 'trx_popup', 'title' ),
					'slug'     => 'trx_popup',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_popup.zip',
					'version'  => '1.0',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tourimo_exists_trx_popup' ) ) {
	function tourimo_exists_trx_popup() {
		return defined( 'TRX_POPUP_URL' );
	}
}
